SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Discussions about Z-Way software and Z-Wave technology in general
newuser
Posts: 10
Joined: 27 Aug 2018 07:26

SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 05 Sep 2018 09:56

Hello!

I'm using Z-Wave.Me UZB as a bridge controller for Z/IP Gateway. It works fine until I start to communicate with devices. Every time when I send commands I get the next errors in zipgateway.log.

Code: Select all

 SerialAPI: Command: 0xa5 is not supported by this SerialAPI
 SerialAPI: Assertion failed at /var/lib/jenkins/jobs/Full_S2_Gateway_release/workspace/src/serialapi/Serialapi.c:600
 SerialAPI: SendFrameWithResponse() returning failure
33324 virtual_nodeid_init_count: 0
33341 Creating virtual node
 SerialAPI: Command: 0xa4 is not supported by this SerialAPI
 SerialAPI: Assertion failed at /var/lib/jenkins/jobs/Full_S2_Gateway_release/workspace/src/serialapi/Serialapi.c:600
 SerialAPI: SendFrameWithResponse() returning failure
33341 create failed, will retry
34341 Creating virtual node
 SerialAPI: Command: 0xa4 is not supported by this SerialAPI
 SerialAPI: Assertion failed at /var/lib/jenkins/jobs/Full_S2_Gateway_release/workspace/src/serialapi/Serialapi.c:600
 SerialAPI: SendFrameWithResponse() returning failure
34341 create failed, will retry
I tried to find out the problem in the source code of Z/IP Gateway and did not find the answer.

This problem is also described on Z-Wave Public Forum.

Thank you

newuser
Posts: 10
Joined: 27 Aug 2018 07:26

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 05 Sep 2018 13:20

I discussed this problem with developers of Z/IP Gateway. They claim that the problem related to outdated version of Z-Wave SerialAPI. And it seems to be true. In my log I can see:

Code: Select all

Version: Z-Wave 4.61, type 7
Also they mentioned that the actual version on today is 6.01:

Code: Select all

Version: Z-Wave 6.01, type 7
And finally I was told that (I'm quoting here):
The Z-Wave.Me UZB runs modified serial API.
Could you help me? What should I do? Maybe I missed something?

P.s. Previously I updated the firmware of my UZB stick as advised here.
Attachments
zipgateway.log.zip
(3.23 KiB) Downloaded 3 times

User avatar
PoltoS
Posts: 4224
Joined: 26 Jan 2011 19:36

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by PoltoS » 07 Sep 2018 00:56

As I remember, 0xa4 is related to bridge firmware functions. Are you sure you picked up the bridge version of the firmware after upgrading? You can check it on Controller Info page. There should be a lot of 0xa_ functions marked as present but not supported by Z-Way (we do t use them).

As for Serial API version, don't look in it. We increment it slowly, while SiLabs is incremeting it faster. In fact we base our firmwares on latest 6.0x

newuser
Posts: 10
Joined: 27 Aug 2018 07:26

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 11 Sep 2018 09:46

Hello! Thank you for you reply.

There is a way to update the firmware without Z-Way for example by using command line? Like I can change the frequency using a shell script (changezwf.sh).

I ask about it because I'm not sure that Z-Way updates my UZB correctly. I tried to update the firmware several times but 'Controller Info' and 'Firmware Update' pages do not change their state (I expect that after update Serial API Version will be 05.27).
Attachments
firmware_update.PNG
firmware_update.PNG (44.94 KiB) Viewed 185 times
controller_info.PNG
controller_info.PNG (37.94 KiB) Viewed 185 times

User avatar
PoltoS
Posts: 4224
Joined: 26 Jan 2011 19:36

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by PoltoS » 12 Sep 2018 09:06

You need the last option in the picture

newuser
Posts: 10
Joined: 27 Aug 2018 07:26

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 12 Sep 2018 09:13

Do you mean this one?
Attachments
firmware_update.PNG
firmware_update.PNG (48.19 KiB) Viewed 151 times

User avatar
PoltoS
Posts: 4224
Joined: 26 Jan 2011 19:36

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by PoltoS » 12 Sep 2018 09:59

No, last one. You want bridge, right?

newuser
Posts: 10
Joined: 27 Aug 2018 07:26

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 12 Sep 2018 11:37

Yes, I want the bridge version. Regarding that you offer I did it several times and I've just done it again to be sure. Nothing changed: the firmware version is the same as before update (on 'Controller Info' page), the list of updates is the same too (on 'Firmware Update' page). And Z/IP Gateway still does not work (the same errors in log). P.s. What do green/gray icons with arrows inside them mean on 'Firmware Update' page?

Does Z-Way have an app log? Maybe it will give me a clue.

User avatar
PoltoS
Posts: 4224
Joined: 26 Jan 2011 19:36

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by PoltoS » 14 Sep 2018 11:34

sure, the log is in /var/log/z-way-server.log

newuser
Posts: 10
Joined: 27 Aug 2018 07:26

Re: SerialAPI: Command: 0xa4 is not supported by this SerialAPI

Post by newuser » 17 Sep 2018 15:03

Hello,

As I described before I updated my firmware several times. The last time I did it I saved Z-Way log file (see attachments) in the hope to find something in it. This log captures the time from Z-Way daemon startup time to the moment when Z-Way said that the firmware had been updated. As I can see there are no errors in it except JavaScript exceptions. Also 'Controller Info' page says that I have 'Bridge Controller', SDK v6.71.01, Serial API v05.25 (see the image above). So I can conclude that I have the latest version of the firmware. And with this version I have the problem with Z/IP Gateway. So that I think that this firmware does not support some part of Z/IP.

Could you provide a list of the commands which are implemented in your firmware?
Attachments
z-way-server.zip
(335.43 KiB) Downloaded 2 times

Post Reply